#16 minor patch to fix test problems

closed-fixed
Will Estes
5
2006-10-20
2006-04-24
Marek Rouchal
No

This minor patch corrects link issues with one of the
C++ tests (the $(LOADLIBES) appears in the other C++
tests, so I think it was just missed in the one below)
and awk should be taken from configure (there is
$(AWK) set anyway), which fixes a problem on Solaris
where the native awk is too stupid ;-)

-Marek

diff -ruN flex-2.5.33/tests/test-c++-basic/Makefile.in
flex-2.5.33p1/tests/test-c++-basic/Makefile.in
--- flex-2.5.33/tests/test-c++-
basic/Makefile.in 2006-02-21 03:45:15.000000000
+0100
+++ flex-2.5.33p1/tests/test-c++-
basic/Makefile.in 2006-04-20 16:52:07.828958000
+0200
@@ -317,7 +317,7 @@
$(FLEX) $(LFLAGS) $<

$(testname)$(EXEEXT): $(OBJS)
- $(CXX) -o $@ $(LDFLAGS) $(OBJS)
+ $(CXX) -o $@ $(LDFLAGS) $(OBJS) $(LOADLIBES)

test: $(testname)$(EXEEXT)
./$(testname)$(EXEEXT) < $(srcdir)/test.input
diff -ruN flex-2.5.33/tests/test-linedir-r/Makefile.in
flex-2.5.33p1/tests/test-linedir-r/Makefile.in
--- flex-2.5.33/tests/test-linedir-
r/Makefile.in 2006-02-21 03:45:17.000000000
+0100
+++ flex-2.5.33p1/tests/test-linedir-
r/Makefile.in 2006-04-24 16:50:25.387297000 +0200
@@ -327,8 +327,8 @@

test: $(testname)$(EXEEXT)
./$(testname)$(EXEEXT) < $(srcdir)/test.input
- cat -n scanner.c | grep '#line' | grep
scanner.c | awk -f $(srcdir)/check-lines.awk
- cat -n scanner.h | grep '#line' | grep
scanner.h | awk -f $(srcdir)/check-lines.awk
+ cat -n scanner.c | grep '#line' | grep
scanner.c | $(AWK) -f $(srcdir)/check-lines.awk
+ cat -n scanner.h | grep '#line' | grep
scanner.h | $(AWK) -f $(srcdir)/check-lines.awk

.c.o:
$(CC) -c -o $@ $(AM_CPPFLAGS) $(CPPFLAGS)
$(CFLAGS) $<

Discussion

  • Will Estes
    Will Estes
    2006-10-19

    • assigned_to: nobody --> wlestes
     
  • Will Estes
    Will Estes
    2006-10-20

    Logged In: YES
    user_id=595627

    Thanks for your report. I've incorporated the changes you
    suggest. However, note that Makefile.am files (which are
    input to the automake program) are prior to Makefile.in
    files (which are input to the configure program and are
    output by automake). That is, the proper place to patch was
    the Makefile.am files in question and not their respective
    Makefile.in files. You'll see a note in the ChangeLog and
    NEWS files referencing this bug item in the next flex
    release.

     
  • Will Estes
    Will Estes
    2006-10-20

    • status: open --> closed-fixed